%define pkgname		gdk-pixbuf-xlib
%define api		2.0
%define lib_major	0

%define libname		%mklibname gdk_pixbuf_xlib %{api} %{lib_major}
%define develname	%mklibname -d gdk_pixbuf_xlib %{api}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Image loading and manipulation library for GTK+
Name:		%{pkgname}%{api}
Version:	2.40.2
Release:    %mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Source0:	%{pkgname}-%{version}.tar.xz
URL:		https://gitlab.gnome.org/Archive/gdk-pixbuf-xlib
Requires:	common-licenses
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(x11)

%description
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf_xlib%{api} = %{version}-%{release}

%description -n %{libname}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{develname}
Summary:	Development files for image handling library for GTK+
Group:		Development/Libraries
Provides:	libgdk_pixbuf%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(libpng16)

%description -n %{develname}
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.

%prep
%setup -qn %{pkgname}-%{version}
%apply_patches

%build
%meson
%meson_build

%install
rm -rf %buildroot
%meson_install

%files -n %{libname}
%{_libdir}/libgdk_pixbuf_xlib-%{api}.so.%{lib_major}*

%files -n %{develname}
%{_includedir}/gdk-pixbuf-%{api}/gdk-pixbuf-xlib
%{_libdir}/libgdk_pixbuf*.so
%{_libdir}/pkgconfig/gdk-pixbuf*.pc


%changelog
* Tue Oct 25 2022 tex - 2.40.2-2pclos2022
- rebuild against updates

* Fri Sep 17 2021 tex - 2.40.2-1pclos2021
- new version

* Mon Mar 21 2021 tex - 0.0-1pclos2021
- create pkg for pclos
